Subject: Re: [PATCH v5] worktree: add: introduce --checkout option

From: John Keeping <[email-masked]>
Date: Tue, 29 Mar 2016 21:15:01 +0100

On Tue, Mar 29, 2016 at 02:04:38PM -0400, Eric Sunshine wrote:
> On Tue, Mar 29, 2016 at 6:54 AM, John Keeping <[email-masked]> wrote:
> > On Tue, Mar 29, 2016 at 10:11:01AM +0000, Ray Zhang wrote:
> >>       With `add`, detach HEAD in the new working tree. See "DETACHED HEAD"
> >>       in linkgit:git-checkout[1].
> >>
> >> +--[no-]checkout::
> >
> > This should be:
> >
> > --checkout::
> > --no-checkout::
> >
> > (see for example --progress in Documentation/merge-options.txt).
> 
> [1] suggested either form without stating a preference since existing
> Git documentation uses a mixture of the two. See, for instance,
> git-format-patch.txt. However, I see now that --[no-]-option is the
> minority.
> 
> [1]: http://article.gmane.org/gmane.comp.version-control.git/289840

I tend to skim the mailing list so I didn't register that at the time.

Having gone looking, I can't find a reference but I for some reason I
was convinced the separate version was preferred in the option
descriptions.  Note that AsciiDoc does handle this specially, at least
when outputting troff (HTML seems to show both on separate lines).